## ros-foxy-plansys2-domain-expert 1.0.10

=== CMakeLists.txt ===
project(plansys2_domain_expert)

cmake_minimum_required(VERSION 3.5)

find_package(Threads REQUIRED)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(plansys2_pddl_parser REQUIRED)
find_package(plansys2_msgs REQUIRED)
find_package(plansys2_core REQUIRED)
find_package(plansys2_popf_plan_solver REQUIRED)
find_package(std_msgs REQUIRED)
find_package(lifecycle_msgs REQUIRED)

set(CMAKE_CXX_STANDARD 17)

set(dependencies
    rclcpp
    rclcpp_action
    rclcpp_lifecycle
    plansys2_pddl_parser
    ament_index_cpp
    plansys2_msgs
    plansys2_core
    plansys2_popf_plan_solver
    std_msgs
    lifecycle_msgs
)

include_directories(include)

set(DOMAIN_EXPERT_SOURCES
  src/plansys2_domain_expert/DomainExpert.cpp
  src/plansys2_domain_expert/DomainExpertClient.cpp
  src/plansys2_domain_expert/DomainReader.cpp
  src/plansys2_domain_expert/DomainExpertNode.cpp
)

add_library(${PROJECT_NAME} SHARED ${DOMAIN_EXPERT_SOURCES})
ament_target_dependencies(${PROJECT_NAME} ${dependencies})

add_executable(domain_expert_node
  src/domain_expert_node.cpp
)
ament_target_dependencies(domain_expert_node ${dependencies})
target_link_libraries(domain_expert_node ${PROJECT_NAME})

install(DIRECTORY include/
  DESTINATION include/
)

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})

install(TARGETS
  ${PROJECT_NAME}
  domain_expert_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  add_subdirectory(test)
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(${dependencies})

ament_package()

=== debian/changelog ===
ros-foxy-plansys2-domain-expert (1.0.10-1focal) focal; urgency=high

  * Remove node parameter in client constructors
  * Adding unit tests for new functions in plansys2_domain_expert.
  * Add ability to read in pddl problem files to plansys2 and a new AddProblem service to the plansys2_problem_expert.
    Adding problem_file node parameter to plansys2_problem_expert to load a single problem file at launch.
  * Suggestion for #118 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/118>
  * pddl-tree-messages: Performing some minor cleanup.
  * pddl-tree-messages: Using explicit specifier for single parameter constructors in plansys2_core/Types.hpp.
  * pddl-tree-messages: Adding user access functions to domain expert client.
  * pddl-tree-messages: Using ROS messages to define the PDDL construct trees.
  * Update version
  * Contributors: Alexander Xydes, Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-foxy-plansys2-domain-expert (1.0.9-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-foxy-plansys2-domain-expert (1.0.8-1focal) focal; urgency=high

  * Update API for FutureReturnCode
  * Add support for numeric conditions and effects.
  * New Graph creation Algorithm
  * Added negative predicates support
  * Ignore comments on block end search
  * Add more verbose output to pddl errors
  * PDDL transparent merge
  * Contributors: Fabrice Larribe, Francisco Martin Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-foxy-plansys2-domain-expert (1.0.7-1focal) focal; urgency=high

  * Making explicit dependencies
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 23:00:00 -0000

ros-foxy-plansys2-domain-expert (1.0.6-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-domain-expert (1.0.5-1focal) focal; urgency=high

  * Migration to c++17
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-domain-expert (1.0.4-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-domain-expert (1.0.3-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-domain-expert (1.0.2-1focal) focal; urgency=high

  * Plan solvers as plugins
  * Contributors: Fabrice Larribe, Francisco Martin Rico, f269858

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-domain-expert (1.0.0-1focal) focal; urgency=high

  * Foxy initial version
  * Boost:optional
  * Support for BT actions
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-domain-expert (0.0.8-1focal) focal; urgency=high

  * Support for BT actions
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 17 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-domain-expert (0.0.7-1focal) focal; urgency=high

  * Fix warning in last cmake versions
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000

ros-foxy-plansys2-domain-expert (0.0.6-1focal) focal; urgency=high

  * Run in separate namespaces. Monolothic node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Add multi domain
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Avoid inserting duplicate types
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Avoid inserting duplicate types
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 22 Mar 2020 23:00:00 -0000

ros-foxy-plansys2-domain-expert (0.0.5-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 11 Jan 2020 23:00:00 -0000

ros-foxy-plansys2-domain-expert (0.0.4-1focal) focal; urgency=high

  * Adding missing action dependencies
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:00:00 -0000

ros-foxy-plansys2-domain-expert (0.0.3-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:00:00 -0000

ros-foxy-plansys2-domain-expert (0.0.2-1focal) focal; urgency=high

  * Merge pull request #16 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/16> from IntelligentRoboticsLabs/pddl_parser_rename
    Rename pddl_parser
  * Rename pddl_parser
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Merge pull request #8 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/8> from IntelligentRoboticsLabs/patrol_example
    Patrol example
  * Patrol example
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Packages.xml description
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Adding documentation
    Signed-off-by: Francisco Martin Rico <mailto:fmartin@gsyc.urjc.es>
  * Adding documentation
    Signed-off-by: Francisco Martin Rico <mailto:fmartin@gsyc.urjc.es>
  * Adding documentation
    Signed-off-by: Francisco Martin Rico <mailto:fmartin@gsyc.urjc.es>
  * Merge pull request #6 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/6> from IntelligentRoboticsLabs/documentation
    Documentation for Domain Expert
  * Documentation for Domain Expert
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI


=== debian/control ===
Source: ros-foxy-plansys2-domain-expert
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-index-cpp, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-lifecycle-msgs, ros-foxy-plansys2-core, ros-foxy-plansys2-msgs, ros-foxy-plansys2-pddl-parser, ros-foxy-plansys2-popf-plan-solver, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-plansys2-domain-expert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-cpp, ros-foxy-lifecycle-msgs, ros-foxy-plansys2-core, ros-foxy-plansys2-msgs, ros-foxy-plansys2-pddl-parser, ros-foxy-plansys2-popf-plan-solver, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: This package contains the Domain Expert module for the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-plansys2-domain-expert//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
